ECHO OFF
:MENU
CLS
ECHO.
ECHO ...............................................................................
ECHO Welcome to the KULUMI content duplicator program!
ECHO Kulumi plays back in order that it was copied in so use this program to ensure 
ECHO that it plays back in alphabetical order  
ECHO ...............................................................................
ECHO INSTRUCTIONS
ECHO 1. Make sure the SD CARD / KULUMI is empty and have no hidden mac files and folders
ECHO 2. Ensure your CONTENT FOLDER file structure is as follow:
ECHO	 "CONTENT FOLDER\Root Folder 1\Sub Folder 1\File.mp3"
ECHO 3. Make sure your CONTENT FOLDER does not contain hidden mac files and folders. 
ECHO 4. Put the HTGv4.cmd and MAC_Exclude.txt file into the CONTENT FOLDER 
ECHO 5. Double click the HTGv4.cmd file placed in the CONTENT FOLDER
ECHO 6. Type the drive letter(s) of the SD card that you want to copy. 
ECHO 7. A Window(s) will open showing the copy progress. Please check that it copies
ECHO    in the right order. It will copy all the folders, sub folders and files from
ECHO    the CONTENT FOLDER
ECHO ...............................................................................
ECHO Please input the drives that you would like to copy to
ECHO You can type multiple drive letters to copy to more than 1 drive at a time. 
ECHO       Example: "g" will copy content to g:\. 
ECHO       Example: "g f" will copy to content to both G:\ and F:\
ECHO       Example: "e f g h i" will copy to content to drive E:\ through to I:\ 
ECHO ...............................................................................
SET /P abc=Press ENTER when done:
GOTO STARTCOPY

set /a temp=1+1
%temp%


:STARTCOPY
CLS
FOR %%A IN (%abc%) DO ECHO Copy to %%A%:
FOR %%A IN (%abc%) DO start cmd.exe /C "rmdir /s /q "%%A%:/System Volume Information"
FOR %%A IN (%abc%) DO start cmd.exe /C "xcopy *.* /s /e %%A%: /EXCLUDE:MAC_Exclude.txt" 
ECHO ........................................................
ECHO Would you like to copy again?
ECHO Make sure all the windows are closed before proceeding
ECHO ........................................................
ECHO 1 - Copy Again
ECHO 2 - New drive selection
ECHO 5 - Exit
SET /P REP=Type 1, 2 or 5 then press ENTER:
IF %REP%==5 GOTO EOF
IF %REP%==2 GOTO MENU
IF %REP%==1 GOTO STARTCOPY
:EOF


